# https://docs.typo3.org/permalink/t3coreapi:sitehandling-settings
# Todo: Use entire sets starting with TYPO3 13
# https://f7.de/blog/typo3-site-sets
# https://github.com/TYPO3incubator/surfcamp-team1/tree/main

roles:
  newsEditor: 4
pageUids:
  afterLogin: 119
  afterLogout: 1

userAccount:
  accountDropdown:
    shortcuts:
      - action: 'homeScreen'
        l18n: 'Mein Konto' # Passwort ändern
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'addressManagement'
        l18n: 'user-account.navMenu.items.addressManagement' # Adressen verwalten
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'passwordManagement'
        l18n: 'user-account.navMenu.items.passwordManagement' # Passwort verwalten
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'orderManagement'
        l18n: 'user-account.navMenu.items.orderManagement' # Passwort verwalten
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevshop'
        pluginName: 'Useraccountpages' # note: todo: typo?

  homeScreen:
    shortcuts:
      -  action: 'accountManagement'
         l18n: 'user-account.homeScreen.shortcuts.accountManagement' # Profildaten
         controller: 'UserAccount\Pages'
         extensionName: 'muthsevmembers'
         pluginName: 'Useraccountpages'
      -  action: 'phoneNumberManagement'
         l18n: 'user-account.homeScreen.shortcuts.phoneNumberManagement' # Übersicht
         controller: 'UserAccount\Pages'
         extensionName: 'muthsevmembers'
         pluginName: 'Useraccountpages'
      -  action: 'addressManagement'
         l18n: 'user-account.homeScreen.shortcuts.addressManagement' # Adressen verwalten
         controller: 'UserAccount\Pages'
         extensionName: 'muthsevmembers'
         pluginName: 'Useraccountpages'
      -  action: 'passwordManagement'
         l18n: 'user-account.homeScreen.shortcuts.passwordManagement' # Adressen verwalten
         controller: 'UserAccount\Pages'
         extensionName: 'muthsevmembers'
         pluginName: 'Useraccountpages'
  navMenu:
    items:
      - action: 'homeScreen'
        l18n: 'user-account.navMenu.items.homeScreen' # Passwort ändern
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'accountManagement'
        l18n: 'user-account.navMenu.items.accountManagement' # Profildaten
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'phoneNumberManagement'
        l18n: 'user-account.navMenu.items.phoneNumberManagement' # Übersicht
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'addressManagement'
        l18n: 'user-account.navMenu.items.addressManagement' # Adressen verwalten
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'

      - action: 'passwordManagement'
        l18n: 'user-account.navMenu.items.passwordManagement' # Adressen verwalten
        controller: 'UserAccount\Pages'
        extensionName: 'muthsevmembers'
        pluginName: 'Useraccountpages'
